# Created by pyp2rpm-3.3.8
%global pypi_name pyngrok
%global pypi_version 5.1.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        A Python wrapper for ngrok

License:        MIT
URL:            https://github.com/alexdlaird/pyngrok
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
pyngrok is a Python wrapper for ngrok that manages its own binary and puts it 
on your path, making ngrok readily available from anywhere on the command 
line and via a convenient Python API.

ngrok is a reverse proxy tool that opens secure tunnels from public URLs to 
localhost, perfect for exposing local web servers, building webhook 
integrations, enabling SSH access, testing chatbots, demoing from your own 
machine, and more, and its made even more powerful with native Python 
integration through pyngrok.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pyyaml)
%description -n python3-%{pypi_name}
pyngrok is a Python wrapper for ngrok that manages its own binary and puts it 
on your path, making ngrok readily available from anywhere on the command 
line and via a convenient Python API.

ngrok is a reverse proxy tool that opens secure tunnels from public URLs to 
localhost, perfect for exposing local web servers, building webhook 
integrations, enabling SSH access, testing chatbots, demoing from your own 
machine, and more, and its made even more powerful with native Python 
integration through pyngrok.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/ngrok
%{_bindir}/pyngrok
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Sun Mar 27 2022 Carlos Mogas da Silva <r3pek@r3pek.org> - 5.1.0-1
- Initial package.
